Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.parser.antlr
Class ABaseParser

    java.lang.Object
      org.eclipse.xtext.parser.AbstractParser
          org.eclipse.xtext.parser.antlr.AbstractAntlrParser
              org.eclipse.amp.amf.abase.parser.antlr.ABaseParser

All Implemented Interfaces:
  org.eclipse.xtext.parser.IParser

    public class ABaseParser

extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.xtext.parser.IParser
`org.eclipse.xtext.parser.IParser.NullImpl`

Constructor Summary
`ABaseParser()`

Method Summary
`protected InternalABaseParser` | `createParser(org.eclipse.xtext.parser.antlr.XtextTokenStream stream)`
`protected java.lang.String` | `getDefaultRuleName()`
`ABaseGrammarAccess` | `getGrammarAccess()`
`void` | `setGrammarAccess(ABaseGrammarAccess grammarAccess)`
`protected void` | `setInitialHiddenTokens(org.eclipse.xtext.parser.antlr.XtextTokenStream tokenStream)`

Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractAntlrParser
`createLexer, createTokenStream, doParse, doParse, doParse, doReparse, getElementFactory, getLexerProvider, getPartialParser, getSyntaxErrorProvider, getTokenDefProvider, getUnorderedGroupHelper, isReparseSupported, parse, parse, parse, setElementFactory, setLexerProvider, setPartialParser, setSyntaxErrorProvider, setTokenDefProvider, setUnorderedGroupHelper`

Methods inherited from class org.eclipse.xtext.parser.AbstractParser
`parse, reparse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseParser

    public ABaseParser()

Method Detail

### setInitialHiddenTokens

    protected void setInitialHiddenTokens(org.eclipse.xtext.parser.antlr.XtextTokenStream tokenStream)

  Overrides:
    `setInitialHiddenTokens` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

### createParser

    protected InternalABaseParser createParser(org.eclipse.xtext.parser.antlr.XtextTokenStream stream)

  Specified by:
    `createParser` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

### getDefaultRuleName

    protected java.lang.String getDefaultRuleName()

  Specified by:
    `getDefaultRuleName` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

### getGrammarAccess

    public ABaseGrammarAccess getGrammarAccess()

### setGrammarAccess

    public void setGrammarAccess(ABaseGrammarAccess grammarAccess)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD